Loading...
Searching...
No Matches
security::BlockSettings Struct Reference

User blocking settings. More...

`import <Security.idl;`

## Public Attributes

int | maxFailedLogins
| The number of failed logins before blocking a user.
int | blockTimeout
| Time (in minutes) the account will be blocked.
int | failedLoginTimeout
| Time (in minutes) before resetting the failure counter.

## Detailed Description

User blocking settings.

Definition at line 57 of file Security.idl.

## Member Data Documentation

## blockTimeout

int security::BlockSettings::blockTimeout

Time (in minutes) the account will be blocked.

Definition at line 59 of file Security.idl.

## failedLoginTimeout

int security::BlockSettings::failedLoginTimeout

Time (in minutes) before resetting the failure counter.

Definition at line 60 of file Security.idl.

## maxFailedLogins

int security::BlockSettings::maxFailedLogins

The number of failed logins before blocking a user.

Definition at line 58 of file Security.idl.

The documentation for this struct was generated from the following file:

- Security.idl